<?php
/**
* 404 Page Settings.
*
* @package Spa Parlor
*/

$spa_parlor_default = spa_parlor_get_default_theme_options();

$wp_customize->add_section( 'spa_parlor_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'spa-parlor' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'spa_parlor_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'spa_parlor_404_main_title',
    array(
        'default'           => $spa_parlor_default['spa_parlor_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'spa-parlor' ),
        'section'  => 'spa_parlor_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'spa_parlor_404_subtitle_one',
    array(
        'default'           => $spa_parlor_default['spa_parlor_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'spa-parlor' ),
        'section'  => 'spa_parlor_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'spa_parlor_404_para_one',
    array(
        'default'           => $spa_parlor_default['spa_parlor_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'spa-parlor' ),
        'section'  => 'spa_parlor_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'spa_parlor_404_subtitle_two',
    array(
        'default'           => $spa_parlor_default['spa_parlor_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'spa-parlor' ),
        'section'  => 'spa_parlor_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'spa_parlor_404_para_two',
    array(
        'default'           => $spa_parlor_default['spa_parlor_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'spa-parlor' ),
        'section'  => 'spa_parlor_404_page_settings',
        'type'     => 'text',
    )
);